@echo off
REM This script expects to be run from the parent directory
REM ex. scripts/cmconfig.bat
@echo off

REM Check for log level options

IF "%~1" == "noedit" (
echo "no editor build"
cmake -Wno-dev -DNO_EDITOR=ON -DGLFW_BUILD_DOCS=OFF -DBOX2D_BUILD_TESTBED=OFF -B build/ -S . -G "Visual Studio 17 2022" -A x64
) ELSE (
echo "WITH EDITOR"
cmake -Wno-dev -DNO_EDITOR=OFF -DGLFW_BUILD_DOCS=OFF -DBOX2D_BUILD_TESTBED=OFF -B build/ -S . -G "Visual Studio 17 2022" -A x64
)